Skip to main content
POST
/
v1
/
batches
/
{id}
/
confirm
Confirm a batch
curl --request POST \
  --url https://api.antonpayments.com/v1/batches/{id}/confirm \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "source_currency": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "merchant_id": "<string>",
    "status": "uploaded",
    "file_name": "<string>",
    "file_format": "csv",
    "file_size": 123,
    "total_rows": 123,
    "valid_rows": 123,
    "invalid_rows": 123,
    "processed_rows": 123,
    "source_currency": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "confirmed_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Merchant API key: ak_live_* (production) or ak_test_* (sandbox).

Headers

Idempotency-Key
string
required

Unique key to ensure idempotent request processing.

Path Parameters

id
string
required

Resource identifier.

Body

application/json
source_currency
string

Default funding currency for rows that don't specify one.

Response

Batch confirmed.

data
object
required